nodefs = 20;
nodefs2 = 8;
edgefs = 15;


fig = figure;
tmp = table2array(G_Asia1.Edges(:,2));
tmp = 7*tmp;
h=plot(G_Asia1,'LineWidth',tmp,'Layout','force','Iterations',500,'EdgeLabel',G_Asia1.Edges.Weight);
nl = h.NodeLabel;
el = h.EdgeLabel;
h.NodeLabel = '';
xd = get(h, 'XData');
yd = get(h, 'YData');
text(xd, yd, nl, 'FontSize',nodefs, 'FontWeight','bold', 'HorizontalAlignment','left', 'VerticalAlignment','middle')
orient landscape;
print(fig, [figdir, 'Figure_10_Asia1' mod_name], '-dpng');
close(gcf);

fig = figure;
tmp = table2array(G_Asia2.Edges(:,2));
tmp = 7*tmp;
h=plot(G_Asia2,'LineWidth',tmp,'Layout','force','Iterations',500,'EdgeLabel',G_Asia2.Edges.Weight);
nl = h.NodeLabel;
el = h.EdgeLabel;
h.NodeLabel = '';
xd = get(h, 'XData');
yd = get(h, 'YData');
text(xd, yd, nl, 'FontSize',nodefs, 'FontWeight','bold', 'HorizontalAlignment','left', 'VerticalAlignment','middle')
orient landscape;
print(fig, [figdir, 'Figure_10_Asia2' mod_name], '-dpng');
close(gcf);

fig = figure;
tmp = table2array(G_Soviet.Edges(:,2));
tmp = 7*tmp;
h=plot(G_Soviet,'LineWidth',tmp,'Layout','force','Iterations',500,'EdgeLabel',G_Soviet.Edges.Weight);
nl = h.NodeLabel;
el = h.EdgeLabel;
h.NodeLabel = '';
xd = get(h, 'XData');
yd = get(h, 'YData');
text(xd, yd, nl, 'FontSize',nodefs, 'FontWeight','bold', 'HorizontalAlignment','left', 'VerticalAlignment','middle')
orient landscape;
print(fig, [figdir, 'Figure_10_Soviet' mod_name], '-dpng');
close(gcf);

fig = figure;
tmp = table2array(G_AS.Edges(:,2));
tmp = 7*tmp;
h=plot(G_AS,'LineWidth',tmp,'Layout','force','Iterations',500,'EdgeLabel',G_AS.Edges.Weight);
nl = h.NodeLabel;
el = h.EdgeLabel;
h.NodeLabel = '';
xd = get(h, 'XData');
yd = get(h, 'YData');
text(xd, yd, nl, 'FontSize',nodefs, 'FontWeight','bold', 'HorizontalAlignment','left', 'VerticalAlignment','middle')
orient landscape;
print(fig, [figdir, 'Figure_10_AS' mod_name], '-dpng');
close(gcf);

fig = figure;
tmp = table2array(G_Europe.Edges(:,2));
tmp = 7*tmp;
h=plot(G_Europe,'LineWidth',tmp,'Layout','force','Iterations',500,'EdgeLabel',G_Europe.Edges.Weight);
nl = h.NodeLabel;
el = h.EdgeLabel;
h.NodeLabel = '';
xd = get(h, 'XData');
yd = get(h, 'YData');
text(xd, yd, nl, 'FontSize',nodefs, 'FontWeight','bold', 'HorizontalAlignment','left', 'VerticalAlignment','middle')
orient landscape;
print(fig, [figdir, 'Figure_10_Europe' mod_name], '-dpng');
close(gcf);

fig = figure;
tmp = table2array(G_Pairs.Edges(:,2));
tmp = 7*tmp;
h=plot(G_Pairs,'LineWidth',tmp,'Layout','force','Iterations',500,'EdgeLabel',G_Pairs.Edges.Weight);
nl = h.NodeLabel;
el = h.EdgeLabel;
h.NodeLabel = '';
xd = get(h, 'XData');
yd = get(h, 'YData');
text(xd, yd, nl, 'FontSize',nodefs, 'FontWeight','bold', 'HorizontalAlignment','left', 'VerticalAlignment','middle')
orient landscape;
print(fig, [figdir, 'Figure_10_Pairs' mod_name], '-dpng');
close(gcf);

fig = figure;
tmp = table2array(G_Other.Edges(:,2));
tmp = 3*tmp;
h=plot(G_Other,'LineWidth',tmp,'Layout','force','Iterations',500);
nl = h.NodeLabel;
el = h.EdgeLabel;
h.NodeLabel = '';
xd = get(h, 'XData');
yd = get(h, 'YData');
text(xd, yd, nl, 'FontSize',nodefs2, 'FontWeight','bold', 'HorizontalAlignment','left', 'VerticalAlignment','middle')
orient landscape;
print(fig, [figdir, 'Figure_10_Other' mod_name], '-dpng');
close(gcf);

